# Contribution Guidelines

Thank you for considering contributing to GalacticFactory! To ensure a smooth integration of new mods, please follow this process:

## Suggesting a New Mod

1. **Open an Issue:** If you have a mod in mind that you believe would be a valuable addition to our modpack, start by opening an issue in our repository:
   - Provide a clear and concise title for the issue, indicating that you are suggesting a new mod.
   - In the issue description, explain the mod's features, mechanics, and how it aligns with the modpack's theme.
   - If possible, outline how you envision the mod enhancing the overall gameplay experience.

## Evaluating a New Mod

2. **Mod Evaluation:** Assess whether the new mod aligns with our modpack's theme and gameplay. Consider the following:
   - Do we like the mod and its features?
   - Does the mod enhance the overall experience of the modpack?

3. **Fit within the Modpack:** Determine if the mod integrates well within the modpack's existing content:
   - Does the mod's concept and mechanics harmonize with the modpack's theme?
   - Will adding the mod create a balanced and enjoyable gameplay experience?

4. **Compatibility:** Examine the mod's compatibility with other mods in the modpack:
   - Is the mod compatible with the existing mods without major conflicts?
   - Test interactions between the new mod and others in the modpack.

5. **Priority:** If there are compatibility issues with other mods, evaluate the importance of the new mod compared to the conflicting one:
   - Is the new mod's functionality more valuable to the modpack than an incompatible mod?
   - Consider community preferences and modpack goals.

## Implementation and Integration

6. **Mod Integration:** Determine if the mod needs any gating or adjustments to fit seamlessly into the modpack:
   - Do we need to incorporate gameplay gating (e.g., gamestages) to control mod access?
   - Are any recipe changes required (using CraftTweaker/KubeJS) for balance or progression?

7. **Pull Request:** If modifications are needed, create a pull request that implements the necessary changes and resolves the associated issue:
   - Open a pull request with clear explanations of the changes made.
   - Reference the issue number in the pull request description.
   - Ensure the changes address compatibility, gameplay, and integration concerns.

8. **Direct Addition:** If no further changes are needed, directly add the mod to the main branch and close the issue:
   - Make a commit on the main branch that adds the new mod files.
   - Mention the issue number in the commit message to link it.
   - Close the issue.
