# Modpack Permissions

**If a mod / resourcepack / datapack is NOT on this list, it is hosted on Modrinth and therefore is allowed by Modrinth's modpack licensing guidelines. See [this article for more information](https://support.modrinth.com/en/articles/8797527-obtaining-modpack-permissions).**

## Mod Permisions

- [AE2 Things [Forge]](https://www.curseforge.com/minecraft/mc-mods/ae2-things-forge) - Licensed under the MIT license.
- [Apothic Attributes (AttributesLib)](https://www.curseforge.com/minecraft/mc-mods/apothic-attributes) - Licensed under the MIT license.
- [Borderless Window](https://www.curseforge.com/minecraft/mc-mods/borderless) - Licensed under the MIT license.
- [Callable Horses](https://www.curseforge.com/minecraft/mc-mods/callable-horses) - Licensed under the GNU Lesser General Public License v3.0.
- [Cosmetic Armor Reworked](https://www.curseforge.com/minecraft/mc-mods/cosmetic-armor-reworked) - Licensed under the Minecraft Mod Public License.
- [Disenchanting Forge](https://www.curseforge.com/minecraft/mc-mods/disenchantingforge) - Licensed under the Creative Commons Public License, also gives explicit permission in mod description.
  > Feel free to include this in your modpacks.
- [Ender Trigon](https://www.curseforge.com/minecraft/mc-mods/ender-trigon) - Licensed under the Apache License Version 2.0, also gives explicit permission in mod description.
  > Feel free to include this in any modpack you'd like. Make sure to have a link to this page available.
- [Fast Leaf Decay](https://www.curseforge.com/minecraft/mc-mods/fast-leaf-decay) - All Rights Reserved, but gives explicit permission in mod description.
  > Feel free to add this mod to your pack. No permission required! I would appreciate a line in the comments though.
- [FastSuite](https://www.curseforge.com/minecraft/mc-mods/fastsuite) - Licensed under the MIT license.
- [Flux Networks](https://www.curseforge.com/minecraft/mc-mods/flux-networks) - All Rights Reserved, but gives explicit permission in mod description.
  > Feel free to use this mod in any mod-pack you wish.
- [Framework](https://www.curseforge.com/minecraft/mc-mods/framework) - Licensed under the GNU Lesser General Public License v2.1.
- [Gateways to Eternity](https://www.curseforge.com/minecraft/mc-mods/gateways-to-eternity) - Licensed under the MIT license.
- [Goblin Traders](https://www.curseforge.com/minecraft/mc-mods/goblin-traders) - Licensed under the GNU General Public License v3.0.
- [GraveStone Mod](https://www.curseforge.com/minecraft/mc-mods/gravestone-mod) - All Rights Reserved, but we received [explicit permission](https://www.coastalcommits.com/GalacticFactory/GalacticFactory/issues/33#issuecomment-819) from the author.
- [Hostile Neural Networks](https://www.curseforge.com/minecraft/mc-mods/hostile-neural-networks) - Licensed under the MIT license.
- [IconExporter](https://www.curseforge.com/minecraft/mc-mods/iconexporter) - Licensed under the MIT license.
- [Infinite source of water](https://www.curseforge.com/minecraft/mc-mods/infinite-source-of-water) - All Rights Reserved, reaching out to mod author.
- [Inventory Sorter](https://www.curseforge.com/minecraft/mc-mods/inventory-sorter) - Licensed under the GNU General Public License v3.0.
- [Item Filters](https://www.curseforge.com/minecraft/mc-mods/item-filters) - Licensed under the GNU Lesser General Public License Version 3.0.
- [LaserIO](https://www.curseforge.com/minecraft/mc-mods/laserio) - Licensed under the MIT license.
- [Mod Name Tooltip](https://www.curseforge.com/minecraft/mc-mods/mod-name-tooltip) - Licensed under the MIT license, also gives explicit permission in mod description.
  > - Can I use this in my mod pack?
  >   - Feel free!
- [More Dragon Eggs](https://www.curseforge.com/minecraft/mc-mods/more-dragon-eggs) - Licensed under the MIT license.
- [PackMenu](https://www.curseforge.com/minecraft/mc-mods/packmenu) - Licensed under the MIT license.
- [Paragliders](https://www.curseforge.com/minecraft/mc-mods/paragliders) - Licensed under the GNU General Public License v3.0.
- [Placebo](https://www.curseforge.com/minecraft/mc-mods/placebo) - Licensed under the MIT license.
- [Roughly Enough Resources](https://www.curseforge.com/minecraft/mc-mods/roughly-enough-resources) - Licensed under the MIT license.
- [Scaling Health](https://www.curseforge.com/minecraft/mc-mods/scaling-health) - Licensed under the MIT license, also gives explicit permission in mod description.
  > - Q: Can I use this in a mod pack, make videos/streams with the mod installed, or share/publish config files?  
A: YES! And I'd love to see your work! Send links if you want, but it's not required.
- [Sophisticated Backpacks](https://www.curseforge.com/minecraft/mc-mods/sophisticated-backpacks) - Licensed under the GNU General Public License v3.0.
- [Sophisticated Core](https://www.curseforge.com/minecraft/mc-mods/sophisticated-core) - Licensed under the GNU General Public License v3.0.
- [Tiered (Forge)](https://www.curseforge.com/minecraft/mc-mods/tiered-forge) - Licensed under the MIT license.
- [Toast Control](https://www.curseforge.com/minecraft/mc-mods/toast-control) - Licensed under the MIT license.
- [Tool Belt](https://www.curseforge.com/minecraft/mc-mods/tool-belt) - Licensed under the BSD license, also gives explicit permission in mod description.

  > ## Can I use this in \<X>?  
  >
  > Yes. Unless \<X>'s license is incompatible with this mod's, which is unlikely.
- [Better Treasure Map](https://www.curseforge.com/minecraft/mc-mods/treasuredistance) - Licensed under the GNU General Public License v3.0.
- [WorldEdit](https://www.curseforge.com/minecraft/mc-mods/worldedit) - Licensed under the GNU General Public License v3.0, also gives explicit permission in mod description.
  > **Can I include WorldEdit in my modpack?**  
You are free to include WorldEdit, without having to asking for explicit permission.  
A link back to this page or our [GitHub Sponsors](https://github.com/sponsors/EngineHub) would be appreciated, however.

## Resource Pack Permissions

- [Framed Paintings](https://www.curseforge.com/minecraft/texture-packs/framed-paintings) - Licensed under the MIT license.
