# packwiz completion bash

Generate the autocompletion script for bash

## Synopsis

Generate the autocompletion script for the bash shell.

This script depends on the 'bash-completion' package.
If it is not installed already, you can install it via your OS's package manager.

To load completions in your current shell session:

	source <(packwiz completion bash)

To load completions for every new session, execute once:

### Linux

	packwiz completion bash > /etc/bash_completion.d/packwiz

### macOS

	packwiz completion bash > $(brew --prefix)/etc/bash_completion.d/packwiz

You will need to start a new shell for this setup to take effect.


```
packwiz completion bash
```

## Options

```
  -h, --help              help for bash
      --no-descriptions   disable completion descriptions
```

## Options inherited from parent commands

```
      --cache string              The directory where packwiz will cache downloaded mods (default "/home/seasw/.cache/packwiz/cache")
      --config string             The config file to use (default "/home/seasw/.config/packwiz/.packwiz.toml")
      --meta-folder string        The folder in which new metadata files will be added, defaulting to a folder based on the category (mods, resourcepacks, etc; if the category is unknown the current directory is used)
      --meta-folder-base string   The base folder from which meta-folder will be resolved, defaulting to the current directory (so you can put all mods/etc in a subfolder while still using the default behaviour) (default ".")
      --pack-file string          The modpack metadata file to use (default "pack.toml")
  -y, --yes                       Accept all prompts with the default or "yes" option (non-interactive mode) - may pick unwanted options in search results
```
