# packwiz completion zsh

Generate the autocompletion script for zsh

## Synopsis

Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need
to enable it.  You can execute the following once:

	echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

	source <(packwiz completion zsh); compdef _packwiz packwiz

To load completions for every new session, execute once:

### Linux:

	packwiz completion zsh > "${fpath[1]}/_packwiz"

### macOS:

	packwiz completion zsh > $(brew --prefix)/share/zsh/site-functions/_packwiz

You will need to start a new shell for this setup to take effect.


```
packwiz completion zsh [flags]
```

## Options

```
  -h, --help              help for zsh
      --no-descriptions   disable completion descriptions
```

## Options inherited from parent commands

```
      --cache string              The directory where packwiz will cache downloaded mods (default "/home/seasw/.cache/packwiz/cache")
      --config string             The config file to use (default "/home/seasw/.config/packwiz/.packwiz.toml")
      --meta-folder string        The folder in which new metadata files will be added, defaulting to a folder based on the category (mods, resourcepacks, etc; if the category is unknown the current directory is used)
      --meta-folder-base string   The base folder from which meta-folder will be resolved, defaulting to the current directory (so you can put all mods/etc in a subfolder while still using the default behaviour) (default ".")
      --pack-file string          The modpack metadata file to use (default "pack.toml")
  -y, --yes                       Accept all prompts with the default or "yes" option (non-interactive mode) - may pick unwanted options in search results
```
